from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import String, Boolean, File, Int

Momo_Modl_V0_1_0 = CommandToolBuilder(tool="momo_modl", base_command=["momo", "modl"], inputs=[ToolInput(tag="in_psm_type", input_type=String(optional=True), prefix="--psm-type", doc=InputDocumentation(doc="|ms-gf+|tide|percolator")), ToolInput(tag="in_sequence_column", input_type=Boolean(optional=True), prefix="--sequence-column", doc=InputDocumentation(doc="[column name]")), ToolInput(tag="in_width", input_type=Boolean(optional=True), prefix="--width", doc=InputDocumentation(doc="[positive odd integer] (default: 7)")), ToolInput(tag="in_protein_database", input_type=File(optional=True), prefix="--protein-database", doc=InputDocumentation(doc="(default: None)")), ToolInput(tag="in_filter", input_type=Boolean(optional=True), prefix="--filter", doc=InputDocumentation(doc="[field],lt|le|eq|ge|gt,[threshold] (default: no filter)")), ToolInput(tag="in_remove_unknowns", input_type=String(optional=True), prefix="--remove-unknowns", doc=InputDocumentation(doc="|F (default: F)")), ToolInput(tag="in_eliminate_repeats", input_type=Boolean(optional=True), prefix="--eliminate-repeats", doc=InputDocumentation(doc="[positive odd integer or 0 for no elimination] (default: width)")), ToolInput(tag="in_min_occurrences", input_type=Boolean(optional=True), prefix="--min-occurrences", doc=InputDocumentation(doc="[non-negative] (default: 5)")), ToolInput(tag="in_single_motif_per_mass", input_type=Boolean(optional=True), prefix="--single-motif-per-mass", doc=InputDocumentation(doc="[positive integer or 0 for linear search] (default: 0)")), ToolInput(tag="in_seed", input_type=Boolean(optional=True), prefix="--seed", doc=InputDocumentation(doc="[non-negative integer]")), ToolInput(tag="in_db_background", input_type=Boolean(optional=True), prefix="--db-background", doc=InputDocumentation(doc="[positive integer] (default: 100)")), ToolInput(tag="in_max_iterations", input_type=Boolean(optional=True), prefix="--max-iterations", doc=InputDocumentation(doc="[positive integer] (default: 50)")), ToolInput(tag="in_max_no_decrease", input_type=Boolean(optional=True), prefix="--max-no-decrease", doc=InputDocumentation(doc="[positive integer] (default: 10)")), ToolInput(tag="in_verbosity", input_type=Int(optional=True), prefix="--verbosity", doc=InputDocumentation(doc="|2|3|4|5 (default: 2)")), ToolInput(tag="in_ptm_file", input_type=File(), position=0, doc=InputDocumentation(doc=""))], outputs=[], container=None, version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Momo_Modl_V0_1_0().translate("wdl", allow_empty_container=True)

